> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert conversion pixel

> Create or update a Facebook conversion pixel configuration

Create or update a Facebook conversion pixel configuration

```http theme={null}
PUT https://services.leadconnectorhq.com/ad-publishing/facebook/pixels
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Body

<ParamField body="locationId" type="string" required default="loc_abc123">
  Account identifier
</ParamField>

<ParamField body="conversionPixelId" type="string" default="px_123">
  Conversion pixel ID
</ParamField>

<ParamField body="name" type="string" default="My Pixel">
  Pixel name
</ParamField>

<ParamField body="igUserId" type="string" default="ig_user_123">
  Instagram user ID
</ParamField>

<ParamField body="type" type="string" required default="LEAD_EVENT">
  Pixel event type
</ParamField>

## Respuestas

<Accordion title="200 - Response" />

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="422 - Unprocessable Entity">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/facebook/pixels' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28' \
    -H 'Content-Type: application/json' \
    -d '{
    "locationId": "loc_abc123",
    "conversionPixelId": "px_123",
    "name": "My Pixel",
    "igUserId": "ig_user_123",
    "type": "LEAD_EVENT"
  }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/pixels', {
    method: 'PUT',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({"locationId": "loc_abc123", "conversionPixelId": "px_123", "name": "My Pixel", "igUserId": "ig_user_123", "type": "LEAD_EVENT"}),
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'PUT',
      'https://services.leadconnectorhq.com/ad-publishing/facebook/pixels',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
          'Content-Type': 'application/json',
      },
      json={"locationId": "loc_abc123", "conversionPixelId": "px_123", "name": "My Pixel", "igUserId": "ig_user_123", "type": "LEAD_EVENT"},
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/ad-publishing/facebook/pixels');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'PUT',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
          'Content-Type: application/json',
      ],
      CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_abc123', 'conversionPixelId': 'px_123', 'name': 'My Pixel', 'igUserId': 'ig_user_123', 'type': 'LEAD_EVENT'}),
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
